# Run a Workstream graph
Source: https://docs.simpleserve.ai/docs/api-reference/workstreams/post-workstreams

Method: POST /v1/workstreams
Base URL: https://api.simpleserve.ai

```json
{
  "path": "/v1/workstreams",
  "method": "POST",
  "tags": [
    "Workstreams"
  ],
  "operationId": "createWorkstream",
  "summary": "Run a Workstream graph",
  "parameters": [
    {
      "$ref": "#/components/parameters/IdempotencyKey"
    }
  ],
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/CreateWorkstreamRequest"
        }
      }
    }
  },
  "responses": {
    "201": {
      "description": "The created Workstream.",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Workstream"
          }
        }
      }
    },
    "400": {
      "$ref": "#/components/responses/BadRequest"
    },
    "401": {
      "$ref": "#/components/responses/Unauthorized"
    },
    "404": {
      "$ref": "#/components/responses/NotFound"
    },
    "409": {
      "$ref": "#/components/responses/Conflict"
    },
    "429": {
      "$ref": "#/components/responses/RateLimited"
    },
    "500": {
      "$ref": "#/components/responses/InternalError"
    }
  }
}
```